## Class SCStatementException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--SCStatementException

All Implemented Interfaces:
  java.io.Serializable

public class SCStatementException
extends java.lang.Exception

See Also:
  Serialized Form

Field Summary
`private de.dhbwstuttgart.typeinference.Menge` `exlist`

Fields inherited from class java.lang.Exception
``

Fields inherited from class java.lang.Throwable
``

Constructor Summary
`SCStatementException()`

Method Summary
`void` `addException(SCExcept ex)`
`de.dhbwstuttgart.typeinference.Menge` `get_exlist()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### exlist

    private de.dhbwstuttgart.typeinference.Menge exlist

Constructor Detail

### SCStatementException

    public SCStatementException()

Method Detail

### get_exlist

    public de.dhbwstuttgart.typeinference.Menge get_exlist()

### addException

    public void addException(SCExcept ex)